Std TextDokument

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std TextDocument and the translation is 19% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎русский

Std TextDocument.svg Std TextDocument

Menu location
Tools → Add text document
Workbenches
All
Default shortcut
None
Introduced in version
0.19
See also
Draft ShapeString, Draft Text

Beschreibung

Std TextDocumenterstellt ein Objekt, das beliebigen Text aufnehmen kann. Dieses Element kann verwendet werden, um allgemeine Informationen oder Dokumentationen über das Modell zu schreiben.

Anwendung

  1. Gehe zum Menü Werkzeuge → Textdokument hinzufügen.
  2. Doppelklicken Sie auf das neue Objekt, das in der Baumansicht erstellt wurde, um eine Registerkarte zu öffnen, in der Du Text schreiben kannst.
  3. Text hinzufügen.
  4. Schließe die Registerkarte und speichere die Datei, wenn gefragt wird.

Properties

View

Editor

  • AnsichtFont Name (Font): a font name, for example, Ubuntu Mono.
  • AnsichtFont Size (Float): a font size in points, for example, 11.
  • AnsichtRead Only (Bool): it defaults to false. If set to true the text cannot be edited.
  • AnsichtSyntax Highlighter (Enumeration): it defaults to None. If set to Python, the text will be highlighted like the Python console.

Skripten

Siehe auch: FreeCAD Grundlagen Skripten, und skriptgesteuerte Objekte.

Siehe Part Funktionen für allgemeine Informationen zum Hinzufügen von Objekten zu einem Dokument.

Ein App::TextDocument Objekt wird mit der addObject() Methode des Dokuments erstellt. Sobald ein TextDokument existiert, werden seine Textinformationen in seinem Attribut Text gespeichert. Dieses Attribut kann in anderen Objekten verwendet werden, z.B. als Zeichenkette in einem Entwurf FormBand.

import FreeCAD as App
import Draft

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::TextDocument", "Text_document")
obj.Text = "textual information"
App.ActiveDocument.recompute()

obj2 = Draft.makeShapeString(obj.Text, "/usr/share/fonts/truetype/dejavu/DejaVuSans.ttf", 10)
App.ActiveDocument.recompute()